xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (C) 2007 Andrea Rossato, David Roundy
License | BSD3
Maintainer | Stability : unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.Directory

Contents

- Usage

Description

A directory prompt for XMonad

Synopsis

- directoryPrompt :: XPConfig -> String -> (String -> X ()) -> X ()
- directoryMultipleModes :: String -> (String -> X ()) -> XPType
- data Dir

# Usage

For an example usage see XMonad.Layout.WorkspaceDir

directoryPrompt :: XPConfig -> String -> (String -> X ()) -> X () #

directoryMultipleModes #

Arguments

:: String | Prompt.
-> (String -> X ()) | Action.
-> XPType |

A `XPType` entry suitable for using with `mkXPromptWithModes`.

data Dir #

Instances

XPrompt Dir # |
Methods showXPrompt :: Dir -> String # nextCompletion :: Dir -> String -> [String] -> String # commandToComplete :: Dir -> String -> String # completionToCommand :: Dir -> String -> String # completionFunction :: Dir -> ComplFunction # modeAction :: Dir -> String -> String -> X () #